- Qt 6.10
- Qt 5 Core Compatibility APIs
- C++ Classes
- QTextEncoder
- Qt 6.10.2 Reference Documentation

# QTextEncoder Class

The QTextEncoder class provides a state-based encoder. More...

Header: | `#include <QTextEncoder>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core5Compat)` `target_link_libraries(mytarget PRIVATE Qt6::Core5Compat)`
qmake: | `QT += core5compat`

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| QTextEncoder(const QTextCodec *codec, int flags)
| ~QTextEncoder()
QByteArray | fromUnicode(const QString &str)
QByteArray | fromUnicode(QStringView str)
QByteArray | fromUnicode(const QChar *uc, int len)

## Detailed Description

A text encoder converts text from Unicode into an encoded text format using a specific codec.

The encoder converts Unicode into another format, remembering any state that is required between calls.

See also QTextCodec::makeEncoder() and QTextDecoder.

## Member Function Documentation

### `[explicit]` QTextEncoder::QTextEncoder(const QTextCodec *codec, int flags)

Constructs a text encoder for the given codec and conversion flags.

### `[noexcept]` QTextEncoder::~QTextEncoder()

Destroys the encoder.

### QByteArray QTextEncoder::fromUnicode(const QString &str)

Converts the Unicode string str into an encoded QByteArray.

### QByteArray QTextEncoder::fromUnicode(QStringView str)

Converts the Unicode string str into an encoded QByteArray.

This is an overloaded function.

### QByteArray QTextEncoder::fromUnicode(const QChar *uc, int len)

Converts len characters (not bytes) from uc, and returns the result in a QByteArray.

This is an overloaded function.